> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/ui-components/form-containers/form-component-container.md).

# Form Component Container

(part of package '[Servoy Core](/reference/servoyextensions/packages/ui-component-packages/servoy-core.md)')\
Extends designtime/SolutionModel: [JSWebComponent](/reference/servoycore/dev-api/solutionmodel/jswebcomponent.md)\
Extends runtime: [RuntimeWebComponent](/reference/servoycore/dev-api/forms/runtimeform/elements/runtimewebcomponent.md)

This is a reference page; many components have detailed usage guides [here](https://docs.servoy.com/guides/develop/application-design/ui-components).

## Properties

### containedForm

Form Component Container embeds a form within a container that supports both anchored and responsive layouts. Type: [Formcomponent](/reference/servoy-developer/component_and_service_property_types.md#formcomponent)

***

### height

When **form component content is \<anchored>**, it will set **min-height** on the wrapper div.\
If **parent/containing form is \<anchored> as well** it will also set **height: 100%** (needed for anchoring to bottom).

IGNORED when **form component content is \<responsive>**. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md)

***

### minHeight

When **form component content is \<anchored>**, it will set **min-height** on the wrapper div.\
If **parent/containing form is \<anchored> as well** it will also set **height: 100%** (needed for anchoring to bottom).

IGNORED when **form component content is \<responsive>**. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md)

***

### minWidth

When **form component content is \<anchored>**, it will set on the wrapper div:

* **min-width** - if **parent/containing form is \<anchored> as well;**
* **min-width** and **float: left;** - if the **parent/containing form is \<responsive>**; this way you can put multiple such form components with fixed width inside the same 12grid column container for example. IGNORED when **form component content is \<responsive>**. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md)

***

### styleClass

Custom CSS class for styling the container. Type: [Styleclass](/reference/servoy-developer/component_and_service_property_types.md#styleclass) Default Value: "svy-formcomponent"

***

### visible

Controls the container's visibility. Type: [Visible](/reference/servoy-developer/component_and_service_property_types.md#visible)

***

### width

When **form component content is \<anchored>**, it will set on the wrapper div:

* **min-width** - if **parent/containing form is \<anchored> as well;**
* **min-width** and **float: left;** - if the **parent/containing form is \<responsive>**; this way you can put multiple such form components with fixed width inside the same 12grid column container for example. IGNORED when **form component content is \<responsive>**. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md)

***

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/ui-components/form-containers/form-component-container.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
